<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.buily.moviedb.data.model.Movie" />

        <variable
            name="listener"
            type="com.buily.moviedb.base.ItemRecycleViewListener" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dp_10">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_120"
            android:background="@drawable/bgr_border_item_see_all"
            android:onClick="@{(v) -> listener.onItemClick(item)}"
            app:layout_constraintBottom_toBottomOf="@id/imgPoster"
            app:layout_constraintTop_toBottomOf="@id/imgPoster">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bgr_border_card_item">

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/guideLine"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.35" />

                    <androidx.appcompat.widget.AppCompatTextView

                        android:id="@+id/tvTitle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:lines="2"
                        android:padding="@dimen/dp_5"
                        android:text="@{item.title}"
                        android:textSize="@dimen/sp_22"
                        app:layout_constraintLeft_toLeftOf="@id/guideLine"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="@string/label_popular" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tvVoteAverage"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_5"
                        android:text="@string/label_vote_average"
                        android:textSize="@dimen/sp_18"
                        app:layout_constraintLeft_toLeftOf="@id/guideLine"
                        app:layout_constraintTop_toBottomOf="@id/tvTitle"
                        tools:text="vote_average" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:padding="@dimen/dp_5"
                        android:text="@{String.valueOf(item.rate)}"
                        android:textSize="@dimen/sp_18"
                        app:layout_constraintLeft_toRightOf="@id/tvVoteAverage"
                        app:layout_constraintTop_toBottomOf="@id/tvTitle"
                        tools:text="8.9" />

                </androidx.constraintlayout.widget.ConstraintLayout>

            </androidx.cardview.widget.CardView>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/imgPoster"
            android:layout_width="@dimen/dp_100"
            android:layout_height="@dimen/dp_140"
            android:layout_marginLeft="@dimen/dp_10"
            app:cardCornerRadius="@dimen/dp_10"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="@dimen/dp_100"
                android:layout_height="@dimen/dp_140"
                android:src="@drawable/index"
                app:loadImage="@{item.imagePoster}" />

        </androidx.cardview.widget.CardView>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>